=== base/CMakeLists.txt ===
set(BASE_SOURCES
    all-all/animated.lmp
    all-all/compdb.lmp
    all-all/crblack.lmp
    all-all/crblue.lmp
    all-all/crblue2.lmp
    all-all/crbrick.lmp
    all-all/crbrown.lmp
    all-all/crgold.lmp
    all-all/crgray.lmp
    all-all/crgreen.lmp
    all-all/crorange.lmp
    all-all/cross00.png
    all-all/cross01.png
    all-all/cross02.png
    all-all/cross03.png
    all-all/cross04.png
    all-all/cross05.png
    all-all/cross06.png
    all-all/cross07.png
    all-all/cross08.png
    all-all/crpurple.lmp
    all-all/crred.lmp
    all-all/crtan.lmp
    all-all/crwhite.lmp
    all-all/cryellow.lmp
    all-all/dig033.png
    all-all/dig037.png
    all-all/dig043.png
    all-all/dig045.png
    all-all/dig046.png
    all-all/dig047.png
    all-all/dig048.png
    all-all/dig049.png
    all-all/dig050.png
    all-all/dig051.png
    all-all/dig052.png
    all-all/dig053.png
    all-all/dig054.png
    all-all/dig055.png
    all-all/dig056.png
    all-all/dig057.png
    all-all/dig058.png
    all-all/dig065.png
    all-all/dig066.png
    all-all/dig067.png
    all-all/dig068.png
    all-all/dig069.png
    all-all/dig070.png
    all-all/dig071.png
    all-all/dig072.png
    all-all/dig073.png
    all-all/dig074.png
    all-all/dig075.png
    all-all/dig076.png
    all-all/dig077.png
    all-all/dig078.png
    all-all/dig079.png
    all-all/dig080.png
    all-all/dig081.png
    all-all/dig082.png
    all-all/dig083.png
    all-all/dig084.png
    all-all/dig085.png
    all-all/dig086.png
    all-all/dig087.png
    all-all/dig088.png
    all-all/dig089.png
    all-all/dig090.png
    all-all/dig091.png
    all-all/dig093.png
    all-all/dmxopl.op2
    all-all/dsdgact.wav
    all-all/dsdgatk.wav
    all-all/dsdgdth.wav
    all-all/dsdgpain.wav
    all-all/dsdgsit.wav
    all-all/m_butt1.png
    all-all/m_butt2.png
    all-all/m_vbox.png
    all-all/sbardef.lmp
    all-all/sbhuddef.lmp
    all-all/skytran.lmp

    all-all/smbfgg0.png
    all-all/smbfgg1.png
    all-all/smcsaw0.png
    all-all/smcsaw1.png
    all-all/smfist0.png
    all-all/smfist1.png
    all-all/smlaun0.png
    all-all/smlaun1.png
    all-all/smmgun0.png
    all-all/smmgun1.png
    all-all/smpisg0.png
    all-all/smpisg1.png
    all-all/smplas0.png
    all-all/smplas1.png
    all-all/smsgn20.png
    all-all/smsgn21.png
    all-all/smshot0.png
    all-all/smshot1.png
    all-all/smunkn0.png
    all-all/smunkn1.png

    all-all/stbr123.png
    all-all/stbr124.png
    all-all/stbr125.png
    all-all/stbr126.png
    all-all/stbr127.png
    all-all/stkeys6.png
    all-all/stkeys7.png
    all-all/stkeys8.png
    all-all/switches.lmp

    all-all/colormaps/watermap.cmp

    all-all/sprites/dogsa1.png
    all-all/sprites/dogsa2.png
    all-all/sprites/dogsa3.png
    all-all/sprites/dogsa4.png
    all-all/sprites/dogsa5.png
    all-all/sprites/dogsa6.png
    all-all/sprites/dogsa7.png
    all-all/sprites/dogsa8.png
    all-all/sprites/dogsb1.png
    all-all/sprites/dogsb2.png
    all-all/sprites/dogsb3.png
    all-all/sprites/dogsb4.png
    all-all/sprites/dogsb5.png
    all-all/sprites/dogsb6.png
    all-all/sprites/dogsb7.png
    all-all/sprites/dogsb8.png
    all-all/sprites/dogsc1.png
    all-all/sprites/dogsc2.png
    all-all/sprites/dogsc3.png
    all-all/sprites/dogsc4.png
    all-all/sprites/dogsc5.png
    all-all/sprites/dogsc6.png
    all-all/sprites/dogsc7.png
    all-all/sprites/dogsc8.png
    all-all/sprites/dogsd1.png
    all-all/sprites/dogsd2.png
    all-all/sprites/dogsd3.png
    all-all/sprites/dogsd4.png
    all-all/sprites/dogsd5.png
    all-all/sprites/dogsd6.png
    all-all/sprites/dogsd7.png
    all-all/sprites/dogsd8.png
    all-all/sprites/dogse1.png
    all-all/sprites/dogse2.png
    all-all/sprites/dogse3.png
    all-all/sprites/dogse4.png
    all-all/sprites/dogse5.png
    all-all/sprites/dogse6.png
    all-all/sprites/dogse7.png
    all-all/sprites/dogse8.png
    all-all/sprites/dogsf1.png
    all-all/sprites/dogsf2.png
    all-all/sprites/dogsf3.png
    all-all/sprites/dogsf4.png
    all-all/sprites/dogsf5.png
    all-all/sprites/dogsf6.png
    all-all/sprites/dogsf7.png
    all-all/sprites/dogsf8.png
    all-all/sprites/dogsg1.png
    all-all/sprites/dogsg2.png
    all-all/sprites/dogsg3.png
    all-all/sprites/dogsg4.png
    all-all/sprites/dogsg5.png
    all-all/sprites/dogsg6.png
    all-all/sprites/dogsg7.png
    all-all/sprites/dogsg8.png
    all-all/sprites/dogsh1.png
    all-all/sprites/dogsh2.png
    all-all/sprites/dogsh3.png
    all-all/sprites/dogsh4.png
    all-all/sprites/dogsh5.png
    all-all/sprites/dogsh6.png
    all-all/sprites/dogsh7.png
    all-all/sprites/dogsh8.png
    all-all/sprites/dogsi0.png
    all-all/sprites/dogsj0.png
    all-all/sprites/dogsk0.png
    all-all/sprites/dogsl0.png
    all-all/sprites/dogsm0.png
    all-all/sprites/dogsn0.png
    all-all/sprites/pls1a0.png
    all-all/sprites/pls1b0.png
    all-all/sprites/pls1c0.png
    all-all/sprites/pls1d0.png
    all-all/sprites/pls1e0.png
    all-all/sprites/pls1f0.png
    all-all/sprites/pls1g0.png
    all-all/sprites/pls2a0.png
    all-all/sprites/pls2b0.png
    all-all/sprites/pls2c0.png
    all-all/sprites/pls2d0.png
    all-all/sprites/pls2e0.png
    all-all/sprites/tnt1a0.png

    betalevl.wad/umapdef.lmp

    chex.wad/brghtmps.lmp
    chex.wad/dehacked.lmp
    chex.wad/umapdef.lmp

    chex2.wad/brghtmps.lmp

    doom-all/brghtmps.lmp

    e1m4b.wad/umapdef.lmp
    e1m8b.wad/umapdef.lmp

    extras.wad/sbardef.lmp

    hacx.wad/brghtmps.lmp
    hacx.wad/dehacked.deh

    id1.wad/sbardef.lmp

    masterlevels.wad/umapdef.lmp

    nerve.wad/umapdef.lmp

    rekkr.wad/dehacked.lmp
    rekkrsa.wad/dehacked.lmp
    rekkrsl.wad/dehacked.lmp

    sigil_v1_21.wad/umapdef.lmp

    tnt.wad/brghtmps.lmp)

add_custom_command(OUTPUT "${BASE_PK3_PATH}"
    COMMAND ${CMAKE_COMMAND} -E tar cf "${BASE_PK3_PATH}" --format=zip ${BASE_SOURCES}
    DEPENDS ${BASE_SOURCES}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")

add_custom_target(woof-base DEPENDS "${BASE_PK3_PATH}")

if(WIN32)
    install(FILES "${BASE_PK3_PATH}" DESTINATION .)
else()
    install(FILES "${BASE_PK3_PATH}" DESTINATION "share/${PROJECT_SHORTNAME}")
endif()
