=== debian/changelog ===
woof-doom (15.0.1+dfsg-2) unstable; urgency=medium

  * Restrict Build-Depends on libasound2-dev to linux-any

 -- Fabian Greffrath <fabian@debian.org>  Fri, 06 Dec 2024 12:52:11 +0100

woof-doom (15.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 15.0.0+dfsg
  * No lump files are installed as part of the documentation anymore
  * Add libasound2-dev, libebur128-dev and libyyjson-dev to Build-Depends
  * Update debian/copyright
  * Bump Standards-Version to 4.7.0
  * Remove vendored yyjson copy
  * New upstream version 15.0.1+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Fri, 06 Dec 2024 11:20:31 +0100
