## woof-doom 15.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # X_VCPKG_APPLOCAL_DEPS_INSTALL automatically installs dependencies.
-set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
 set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON)
 
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.15)
 
 project("Woof"
-    VERSION 15.0.1
+    VERSION 15.1.0
     LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)
@@ -54,6 +53,7 @@
 check_include_file("dirent.h" HAVE_DIRENT_H)
 check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
 check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)
+check_symbol_exists(getpwuid "unistd.h;sys/types.h;pwd.h" HAVE_GETPWUID)
 check_c_source_compiles("
     #include <windows.h>
     int main()
@@ -75,6 +75,16 @@
   "
   HAVE__DIV64
 )
+check_c_source_compiles("
+    typedef float vec __attribute__((ext_vector_type(4)));
+    int main()
+    {
+        vec a = (vec){0, 1, 2, 3};
+        return 0;
+    }
+  "
+  HAVE_EXT_VECTOR_TYPE
+)
 
 option(CMAKE_FIND_PACKAGE_PREFER_CONFIG
        "Lookup package config files before using find modules" ON)
