=== debian/changelog ===
woof-doom (15.1.0+dfsg-1) unstable; urgency=medium

  * Do not pass WOOFDATADIR anymore, it's become irrelavant
  * Bump Build-Depends to cmake (>= 3.15)
  * New upstream version 15.1.0+dfsg
  * Add some post-release bug fixes from upstream

 -- Fabian Greffrath <fabian@debian.org>  Sat, 25 Jan 2025 10:17:10 +0100
