=== base/CMakeLists.txt ===
--- 
+++ 
@@ -199,18 +199,18 @@
     all-all/sprites/pls2e0.png
     all-all/sprites/tnt1a0.png
 
-    betalevl.wad/umapdef.lmp
+    betalevl.wad/umapinfo.lmp
 
     chex.wad/brghtmps.lmp
     chex.wad/dehacked.lmp
-    chex.wad/umapdef.lmp
+    chex.wad/umapinfo.lmp
 
     chex2.wad/brghtmps.lmp
 
     doom-all/brghtmps.lmp
 
-    e1m4b.wad/umapdef.lmp
-    e1m8b.wad/umapdef.lmp
+    e1m4b.wad/umapinfo.lmp
+    e1m8b.wad/umapinfo.lmp
 
     extras.wad/sbardef.lmp
 
@@ -218,16 +218,10 @@
     hacx.wad/dehacked.deh
 
     id1.wad/sbardef.lmp
-
-    masterlevels.wad/umapdef.lmp
-
-    nerve.wad/umapdef.lmp
 
     rekkr.wad/dehacked.lmp
     rekkrsa.wad/dehacked.lmp
     rekkrsl.wad/dehacked.lmp
-
-    sigil_v1_21.wad/umapdef.lmp
 
     tnt.wad/brghtmps.lmp)
