=== debian/changelog ===
woof-doom (15.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 15.2.0+dfsg
  * Update my Debian packaging copyright
  * Remove all patches, applied upstream

 -- Fabian Greffrath <fabian@debian.org>  Fri, 07 Feb 2025 10:08:50 +0100
