=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  bash-completion,
- cmake,
+ cmake (>= 3.15),
  debhelper-compat (= 13),
  fluidsynth (>= 2.2.0),
  libasound2-dev (>= 1.0.16) [linux-any],
