=== debian/watch ===
version=4
opts="dversionmangle=s/@DEB_EXT@//,repack,repacksuffix=+dfsg,compression=xz" \
https://github.com/fabiangreffrath/woof/tags \
https://github.com/fabiangreffrath/woof/archive/refs/tags/woof@ANY_VERSION@@ARCHIVE_EXT@
