## woof-doom 15.3.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 project("Woof"
-    VERSION 15.2.0
+    VERSION 15.3.0
     LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)
