## woof-doom 15.3.0+dfsg

=== base/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(BASE_SOURCES
     all-all/animated.lmp
+    all-all/chexdeh.lmp
     all-all/compdb.lmp
     all-all/crblack.lmp
     all-all/crblue.lmp
@@ -202,15 +203,17 @@
     betalevl.wad/umapinfo.lmp
 
     chex.wad/brghtmps.lmp
-    chex.wad/dehacked.lmp
     chex.wad/umapinfo.lmp
 
     chex2.wad/brghtmps.lmp
+    chex2.wad/dehacked.lmp
+
+    chex-all/brghtmps.lmp
 
     doom-all/brghtmps.lmp
 
-    e1m4b.wad/umapinfo.lmp
-    e1m8b.wad/umapinfo.lmp
+    e1m4b.wad/dehacked.lmp
+    e1m8b.wad/dehacked.lmp
 
     extras.wad/sbardef.lmp
