=== debian/changelog ===
woof-doom (15.3.0+dfsg-1) unstable; urgency=medium

  * Update debian/copyright
  * Update debian/watch file to version 5
  * New upstream version 15.3.0+dfsg
  * Bump Standards-Version to 4.7.2
  * Remove redundant RRR: no

 -- Fabian Greffrath <fabian@debian.org>  Tue, 04 Nov 2025 18:09:09 +0100
