=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Fabian Greffrath <fabian@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  bash-completion,
  cmake (>= 3.15),
@@ -20,7 +19,7 @@
  libxmp-dev,
  libyyjson-dev (>= 0.10.0),
  python3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fabiangreffrath/woof
 Vcs-Git: https://salsa.debian.org/games-team/woof-doom.git
 Vcs-Browser: https://salsa.debian.org/games-team/woof-doom
