=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DCMAKE_INSTALL_BINDIR=games \
-		-DWOOFDATADIR="/usr/share/woof"
+		-DCMAKE_INSTALL_BINDIR=games
 
 execute_after_dh_installdocs:
 	mv debian/woof-doom/usr/share/doc/woof/CMDLINE.txt* \
