=== debian/watch ===
Version: 5
Source: https://github.com/fabiangreffrath/woof/tags
Matching-Pattern: https://github.com/fabiangreffrath/woof/archive/refs/tags/woof@ANY_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: s/@DEB_EXT@//
Repack-Suffix: +dfsg
Compression: xz
